> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/payment-management/bulk-import-payment-instructions-status.md).

# Bulk Import Payment Instructions Status

The bulk Import payment Instructions job status/progress can be obtained using the API.

<mark style="color:blue;">**`GET`**</mark> /payments/payments/import/{job\_id}

**Body Parameters - Request**

| Name    | Location | Type   | Description                    | Required |
| ------- | -------- | ------ | ------------------------------ | -------- |
| job\_id | Url path | string | The job id to fetch status for | Yes      |

**Body Parameters -** **Response**

| Name               | Type    | Format / Values | Description                                           |
| ------------------ | ------- | --------------- | ----------------------------------------------------- |
| job\_id            | string  |                 | The job id assigned to this import                    |
| started\_at        | string  | date-time       | The time the import job started                       |
| completed\_at      | string  | date-time       | The time the import job completed                     |
| processed          | integer |                 | The total number of items processed successfully      |
| total              | integer |                 | Total number of items in bulk                         |
| processing         | integer |                 | The number of items currently being processed         |
| failed             | integer |                 | Total number of failed items                          |
| status             | string  | QUEUED, DONE    | The current job status                                |
| progress           | array   | object          | List of item progress                                 |
| progress\[]        | object  |                 |                                                       |
| progress\[].row    | integer |                 | The index of the item                                 |
| progress\[].error  | object  |                 | Information regarding error encountered for this item |
| progress\[].status | string  | FAILED, SUCCESS | The status of this item's import                      |

**Request Example**

```json
GET /payments/payments/import/76I_SRe9ToeDwSExCGrgtA
```

**Response Examples**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "processed": 2,
   "completed_at": "2024-03-05T21:49:23.620174178Z",
   "total": 2,
   "job_id": "76I_SRe9ToeDwSExCGrgtA",
   "processing": 0,
   "started_at": "2024-03-05T21:49:22.444288513Z",
   "progress": [
      {
         "id": "demo:standalone:1709645902::zCrls1r6SbSLmJHRdihevg",
         "row": 0,
         "status": "SUCCESS"
      },
      {
         "id": "demo:standalone:1709645902::lt5Shcn0QquHLVwRDTB0Mw",
         "row": 1,
         "status": "SUCCESS"
      }
   ],
   "failed": 0,
   "status": "DONE"
}
```

{% endtab %}

{% tab title="400 - Bad Request" %}

```json
{
  "error": "bad_request",
  "description": "Validation errors: {\"type\":\"INDIVIDUAL\",\"id\":\"5SYjAkHqXHW0Z2cqBRW4JAAA\",\"cou... at root failed with \"Missing property org_id\"",
  "error_code": 400
}
```

{% endtab %}
{% endtabs %}

&#x20;
